Subject: Re: bug#40671: [DOC] modify literal objects

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Apr 2020 20:27:21 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Fri, 17 Apr 2020 18:37:23 +0200
> Cc: Kevin Vigouroux <[email-masked]>
> 
> > Can we modify literal objects? 
> 
> No, and the manual should do a much better job at explaining this. At the very least it should not promulgate bad ideas by including mutation of literals in example code. Patch attached, suggested for emacs-27.

I don't see any explanation of the issue in the patch, did I miss
something?

What I see summarily replaces literal lists and cons cells with a
calls to functions, and I'm not sure this is a step in the right
direction.  It definitely complicates the examples, which is not
necessarily TRT, methodologically, for such introductory sections.